# Retrieve a pay method

Retrieve a Pay Method

Endpoint: GET /pay/methods/{payMethodId}
Version: 0.9
Security: JWT

## Header parameters:

  - `Authorization` (string, required)

## Path parameters:

  - `payMethodId` (string, required)

## Response 200 fields (application/json):

  - `id` (string)
    The id of the Pay Method in the Tyro Connect system. This id can be specified in the Pay Request when making payments for the associated customer.
    Example: "0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149"

  - `customerId` (string)
    The id of the Customer in the Tyro Connect system linked to this Pay Method.
    Example: "1d448ac1-862a-4c7b-bdb4-a3b7cdbf6160"

  - `isDefault` (boolean)
    When true, indicates this is the default payment method for the customer. This field is only present when the payment method is set as default.
    Example: true

  - `tokenId` (string)
    tokenId can be used to make payments to an external payment provider and corresponds to the tokenised representation of the payment card.
    Example: "4111111234567890"

  - `tokenStatus` (string)
    The status of the token associated with this Pay Method. Indicates whether the token is valid for use in payments.
    Enum: "VALID", "INVALID"

  - `card` (object)
    The card used by the Pay Method

  - `card.brand` (string)
    Card brand such as Visa or Mastercard
    Example: "VISA"

  - `card.expiryMonth` (number)
    Month of card expiry
    Example: 10

  - `card.expiryYear` (number)
    Year of card expiry
    Example: 50

  - `card.firstSixDigits` (string)
    First six digits of the card number
    Example: "411111"

  - `card.lastFourDigits` (string)
    Last four digits of the card number
    Example: "4365"


## Response 404 fields
